The header file is the file in which the class is defined(filename.h), and the source file is the file in which
element-function are defined(filename.cpp).

In the source code you write the implementation of the function element and it is hidden from the client,and the header file for the class client so that it knows about the element of the functions and data of the class.
